// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/subscriptions.proto

package freeje_admin

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	client "gitlab.com/BetaCompany/Freeje/sdk/go/api/client"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Уведомление в очереди подписки
type Notification struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SeqNo int64 `protobuf:"varint,1,opt,name=seq_no,json=seqNo,proto3" json:"seq_no,omitempty"` // последовательный номер уведомления
	// Types that are assignable to Content:
	//	*Notification_Profile
	//	*Notification_Sms
	Content isNotification_Content `protobuf_oneof:"content"`
}

func (x *Notification) Reset() {
	*x = Notification{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_subscriptions_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Notification) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Notification) ProtoMessage() {}

func (x *Notification) ProtoReflect() protoreflect.Message {
	mi := &file_admin_subscriptions_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Notification.ProtoReflect.Descriptor instead.
func (*Notification) Descriptor() ([]byte, []int) {
	return file_admin_subscriptions_proto_rawDescGZIP(), []int{0}
}

func (x *Notification) GetSeqNo() int64 {
	if x != nil {
		return x.SeqNo
	}
	return 0
}

func (m *Notification) GetContent() isNotification_Content {
	if m != nil {
		return m.Content
	}
	return nil
}

func (x *Notification) GetProfile() *client.AccountProfile {
	if x, ok := x.GetContent().(*Notification_Profile); ok {
		return x.Profile
	}
	return nil
}

func (x *Notification) GetSms() *client.SmsMessage {
	if x, ok := x.GetContent().(*Notification_Sms); ok {
		return x.Sms
	}
	return nil
}

type isNotification_Content interface {
	isNotification_Content()
}

type Notification_Profile struct {
	Profile *client.AccountProfile `protobuf:"bytes,2,opt,name=profile,proto3,oneof"`
}

type Notification_Sms struct {
	Sms *client.SmsMessage `protobuf:"bytes,3,opt,name=sms,proto3,oneof"`
}

func (*Notification_Profile) isNotification_Content() {}

func (*Notification_Sms) isNotification_Content() {}

var File_admin_subscriptions_proto protoreflect.FileDescriptor

var file_admin_subscriptions_proto_rawDesc = []byte{
	0x0a, 0x19, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x73, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x14, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x70, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x10, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x73, 0x6d,
	0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xaa, 0x01, 0x0a, 0x0c, 0x4e, 0x6f, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x15, 0x0a, 0x06, 0x73, 0x65, 0x71, 0x5f,
	0x6e, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x73, 0x65, 0x71, 0x4e, 0x6f, 0x12,
	0x41, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x48, 0x00, 0x52, 0x07, 0x70, 0x72, 0x6f, 0x66, 0x69,
	0x6c, 0x65, 0x12, 0x35, 0x0a, 0x03, 0x73, 0x6d, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x6d, 0x73, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x48, 0x00, 0x52, 0x03, 0x73, 0x6d, 0x73, 0x42, 0x09, 0x0a, 0x07, 0x63, 0x6f, 0x6e,
	0x74, 0x65, 0x6e, 0x74, 0x32, 0x90, 0x02, 0x0a, 0x0d, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x3c, 0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75,
	0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x18, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3c, 0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x18,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75, 0x62, 0x73,
	0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x46, 0x0a, 0x04, 0x50, 0x6f, 0x6c, 0x6c, 0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x4e, 0x6f, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x30, 0x01, 0x12, 0x3b, 0x0a, 0x05, 0x46, 0x6c,
	0x75, 0x73, 0x68, 0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x18, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x7c, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x42,
	0x11, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x54, 0x79,
	0x70, 0x65, 0x50, 0x00, 0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x5f, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0xa2, 0x02, 0x11, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_admin_subscriptions_proto_rawDescOnce sync.Once
	file_admin_subscriptions_proto_rawDescData = file_admin_subscriptions_proto_rawDesc
)

func file_admin_subscriptions_proto_rawDescGZIP() []byte {
	file_admin_subscriptions_proto_rawDescOnce.Do(func() {
		file_admin_subscriptions_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_subscriptions_proto_rawDescData)
	})
	return file_admin_subscriptions_proto_rawDescData
}

var file_admin_subscriptions_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_admin_subscriptions_proto_goTypes = []interface{}{
	(*Notification)(nil),          // 0: com.freeje.api.admin.Notification
	(*client.AccountProfile)(nil), // 1: com.freeje.api.client.AccountProfile
	(*client.SmsMessage)(nil),     // 2: com.freeje.api.client.SmsMessage
	(*api.Subscription)(nil),      // 3: com.freeje.Subscription
}
var file_admin_subscriptions_proto_depIdxs = []int32{
	1, // 0: com.freeje.api.admin.Notification.profile:type_name -> com.freeje.api.client.AccountProfile
	2, // 1: com.freeje.api.admin.Notification.sms:type_name -> com.freeje.api.client.SmsMessage
	3, // 2: com.freeje.api.admin.Subscriptions.Create:input_type -> com.freeje.Subscription
	3, // 3: com.freeje.api.admin.Subscriptions.Delete:input_type -> com.freeje.Subscription
	3, // 4: com.freeje.api.admin.Subscriptions.Poll:input_type -> com.freeje.Subscription
	3, // 5: com.freeje.api.admin.Subscriptions.Flush:input_type -> com.freeje.Subscription
	3, // 6: com.freeje.api.admin.Subscriptions.Create:output_type -> com.freeje.Subscription
	3, // 7: com.freeje.api.admin.Subscriptions.Delete:output_type -> com.freeje.Subscription
	0, // 8: com.freeje.api.admin.Subscriptions.Poll:output_type -> com.freeje.api.admin.Notification
	3, // 9: com.freeje.api.admin.Subscriptions.Flush:output_type -> com.freeje.Subscription
	6, // [6:10] is the sub-list for method output_type
	2, // [2:6] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_admin_subscriptions_proto_init() }
func file_admin_subscriptions_proto_init() {
	if File_admin_subscriptions_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_subscriptions_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Notification); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_admin_subscriptions_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*Notification_Profile)(nil),
		(*Notification_Sms)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_subscriptions_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_admin_subscriptions_proto_goTypes,
		DependencyIndexes: file_admin_subscriptions_proto_depIdxs,
		MessageInfos:      file_admin_subscriptions_proto_msgTypes,
	}.Build()
	File_admin_subscriptions_proto = out.File
	file_admin_subscriptions_proto_rawDesc = nil
	file_admin_subscriptions_proto_goTypes = nil
	file_admin_subscriptions_proto_depIdxs = nil
}
